# NOTICE:
#
# Application name defined in TARGET has a corresponding QML filename.
# If name defined in TARGET is changed, the following needs to be done
# to match new name:
#   - corresponding QML filename must be changed
#   - desktop icon filename must be changed
#   - desktop filename must be changed
#   - icon definition filename in desktop file must be changed
#   - translation filenames have to be changed

# The name of your application
TARGET = harbour-allradio

CONFIG += sailfishapp

SOURCES += src/harbour-allradio.cpp

DISTFILES += qml/harbour-allradio.qml \
    LICENSE \
    qml/cover/CoverPage.qml \
    qml/items/HeaderButton.qml \
    qml/items/RadioMprisPlayer.qml \
    qml/items/SleepTimer.qml \
    qml/pages/AboutPage.qml \
    qml/pages/AllRadio.qml \
    qml/pages/CountryStationsPage.qml \
    qml/pages/FavoritesPage.qml \
    qml/pages/HistoryPage.qml \
    qml/pages/SearchStationsPage.qml \
    qml/pages/SettingsPage.qml \
    qml/pages/TagListPage.qml \
    rpm/harbour-allradio.spec \
    translations/*.ts \
    harbour-allradio.desktop \
    translations/harbour-allradio-sv.ts

SAILFISHAPP_ICONS = 86x86 108x108 128x128 172x172

# to disable building translations every time, comment out the
# following CONFIG line
CONFIG += sailfishapp_i18n

# Translation files for the most downloaded countries on openrepos (except danish, i will translate that).
TRANSLATIONS += translations/harbour-allradio-de.ts
TRANSLATIONS += translations/harbour-allradio-sv.ts
TRANSLATIONS += translations/harbour-allradio-da.ts
TRANSLATIONS += translations/harbour-allradio-en.ts
TRANSLATIONS += translations/harbour-allradio-es.ts
TRANSLATIONS += translations/harbour-allradio-fi.ts
TRANSLATIONS += translations/harbour-allradio-fr.ts
TRANSLATIONS += translations/harbour-allradio-it.ts
TRANSLATIONS += translations/harbour-allradio-pl.ts
TRANSLATIONS += translations/harbour-allradio-ru.ts
TRANSLATIONS += translations/harbour-allradio-uk.ts
